Get Address Group

Retrieves information of a specified address group.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/address-groups/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/address-groups/4dc14f3d-ebf8-4032-8a7a-ef9ec6cd3dd2
Request Parameter
KeyRequiredTypeDescriptionNote
guidOStringAddress group GUID36 characters

Success Response

{
  "address_group": {
    "guid": "4dc14f3d-ebf8-4032-8a7a-ef9ec6cd3dd2",
    "name": "방화벽 차단 IP",
    "description": "차단 연동용 IP 블랙리스트",
    "count": 1,
    "version": 7,
    "created": "2022-10-05 15:34:59+0900",
    "updated": "2022-10-06 00:46:35+0900"
  }
}
  • address_group (Map): Specified address group
    • guid (String): Address group GUID
    • name (String): Address group name
    • description (String): Address group description
    • count (32-bit integer): Number of IP addresses in the address group
    • version (32-bit integer): Monotonically increasing version number
    • created (String): Date and time of creation (yyyy-MM-dd HH:mm:ssZ)
    • updated (String): Date and time of last modification (yyyy-MM-dd HH:mm:ssZ)
Address group is not found

HTTP status code 200

{
  "address_group": null
}
Identifier is not in valid GUID format
{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}